package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 维修测试控制对象 phm_maintenance_test_control
 *
 * @author phm
 * @date 2023-08-22
 */
public class MaintenanceTestControl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 维修控制信息
     */
    @Excel(name = "维修控制信息")
    private String maintenanceControl;

    /**
     * 对象
     */
    @Excel(name = "对象")
    private String object;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 程序文件
     */
    @Excel(name = "程序文件")
    private String applicationDoc;

    /**
     * 故障数据
     */
    @Excel(name = "故障数据")
    private String faultData;

    /**
     * 版本
     */
    @Excel(name = "版本")
    private String version;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    @Excel(name = "数据是否删除", readConverterExp = "1=：删除，0有效")
    private Long isDelete;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMaintenanceControl(String maintenanceControl) {
        this.maintenanceControl = maintenanceControl;
    }

    public String getMaintenanceControl() {
        return maintenanceControl;
    }

    public void setObject(String object) {
        this.object = object;
    }

    public String getObject() {
        return object;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setApplicationDoc(String applicationDoc) {
        this.applicationDoc = applicationDoc;
    }

    public String getApplicationDoc() {
        return applicationDoc;
    }

    public void setFaultData(String faultData) {
        this.faultData = faultData;
    }

    public String getFaultData() {
        return faultData;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersion() {
        return version;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("maintenanceControl", getMaintenanceControl())
                .append("object", getObject())
                .append("name", getName())
                .append("applicationDoc", getApplicationDoc())
                .append("faultData", getFaultData())
                .append("version", getVersion())
                .append("isDelete", getIsDelete())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
